<?php defined('C5_EXECUTE') or die('Access Denied.');

$app = \Concrete\Core\Support\Facade\Application::getFacadeApplication();
$form = $app->make('helper/form');
?>

<div class="ccm-edit-mode-disabled-item well card">
	<div class="text-danger"><b><?php echo t('Add Stack Link Blocks to Stacks ONLY!'); ?></b></div>
	<span><b><small><?php echo t('Users with Stack Edit Permissions will see quick links on the front of the site, to jump to Dashboard Stack Edit.'); ?></small></b></span>
</div>


<?php
$page = Page::getCurrentPage(); // Is Current Page A Stack.
$stack = $controller->isStack($page);

if ($stack && !$controller->isStackGlobal($stack)) { ?>
	
	<div class="form-group">
		<?php echo $form->checkbox('slTarget', 1, $slTarget).' '.$form->label('slTarget', t('Open In New Window')); ?>
	</div>
	
	
	<div class="form-group">
		<label class="control-label" for="slBsClass"><?php echo t('Style')?></label>
		<?php
		$v8options = array(
			'button_link' => t('Button > Link'),
			'button_default' => t('Button > Default'),
			
			'button_primary' => t('Button > Primary'),
			'button_success' => t('Button > Success'),
			'button_info' => t('Button > Info'),
			'button_warning' => t('Button > Warning'),
			'button_danger' => t('Button > Danger'),
			
			'button_alert-success' => t('Button > Alert Success'),
			'button_alert-info' => t('Button > Alert Info'),
			'button_alert-warning' => t('Button > Alert Warning'),
			'button_alert-danger' => t('Button > Alert Danger'),
			
			
			
			'block_link' => t('Block > Link'),
			'block_default' => t('Block > Default'),
			
			'block_primary' => t('Block > Primary'),
			'block_success' => t('Block > Success'),
			'block_info' => t('Block > Info'),
			'block_warning' => t('Block > Warning'),
			'block_danger' => t('Block > Danger'),
			
			'block_alert-success' => t('Block > Alert Success'),
			'block_alert-info' => t('Block > Alert Info'),
			'block_alert-warning' => t('Block > Alert Warning'),
			'block_alert-danger' => t('Block > Alert Danger'),
		);
		
		$v9options = array(
			'button_link' => t('Button &gt; Link'),
			//'button_default' => t('Button &gt; Default'),/////
			
			'button_primary' => t('Button &gt; Primary'),
			'button_secondary' => t('Button &gt; Secondary'),
			'button_success' => t('Button &gt; Success'),
			'button_info' => t('Button &gt; Info'),
			'button_warning' => t('Button &gt; Warning'),
			'button_danger' => t('Button &gt; Danger'),
			'button_light' => t('Button &gt; Light'),
			'button_dark' => t('Button &gt; Dark'),
			
			'button_outline-primary' => t('Button &gt; Outline Primary'),
			'button_outline-secondary' => t('Button &gt; Outline Secondary'),
			'button_outline-success' => t('Button &gt; Outline Success'),
			'button_outline-info' => t('Button &gt; Outline Info'),
			'button_outline-warning' => t('Button &gt; Outline Warning'),
			'button_outline-danger' => t('Button &gt; Outline Danger'),
			'button_outline-light' => t('Button &gt; Outline Light'),
			'button_outline-dark' => t('Button &gt; Outline Dark'),
			
			'button_alert-primary' => t('Button &gt; Alert Primary'),
			'button_alert-secondary' => t('Button &gt; Alert Secondary'),
			'button_alert-success' => t('Button &gt; Alert Success'),
			'button_alert-info' => t('Button &gt; Alert Info'),
			'button_alert-warning' => t('Button &gt; Alert Warning'),
			'button_alert-danger' => t('Button &gt; Alert Danger'),
			'button_alert-light' => t('Button &gt; Alert Light'),
			'button_alert-dark' => t('Button &gt; Alert Dark'),
			
			
			
			'block_link' => t('Block > Link'),
			//'block_default' => t('Block > Default'),/////
			
			'block_primary' => t('Block > Primary'),
			'block_secondary' => t('Block > Secondary'),
			'block_success' => t('Block > Success'),
			'block_info' => t('Block > Info'),
			'block_warning' => t('Block > Warning'),
			'block_danger' => t('Block > Danger'),
			'block_light' => t('Block > Light'),
			'block_dark' => t('Block > Dark'),
			
			'block_outline-primary' => t('Block > Outline Primary'),
			'block_outline-secondary' => t('Block > Outline Secondary'),
			'block_outline-success' => t('Block > Outline Success'),
			'block_outline-info' => t('Block > Outline Info'),
			'block_outline-warning' => t('Block > Outline Warning'),
			'block_outline-danger' => t('Block > Outline Danger'),
			'block_outline-light' => t('Block > Outline Light'),
			'block_outline-dark' => t('Block > Outline Dark'),
			
			'block_alert-primary' => t('Block > Alert Primary'),
			'block_alert-secondary' => t('Block > Alert Secondary'),
			'block_alert-success' => t('Block > Alert Success'),
			'block_alert-info' => t('Block > Alert Info'),
			'block_alert-warning' => t('Block > Alert Warning'),
			'block_alert-danger' => t('Block > Alert Danger'),
			'block_alert-light' => t('Block > Alert Light'),
			'block_alert-dark' => t('Block > Alert Dark'),
		);
		
		
		$options = $v8options;
		if ($controller->isVersion9()) {
			
			$options = $v9options;
		}
		
		echo $form->select('slBsClass', $options, $slBsClass);
		?>
	</div>
	
	
	<div class="form-group">
		<label class="control-label" for="slBsSize"><?php echo t('Size')?></label>
		<?php
		$v8options = array(
			'xs' => t('XS'),
			'sm' => t('SM'),
			'md' => t('MD'),
			'lg' => t('LG'),
		);
		
		$v9options = array(
			'sm' => t('SM'),
			'md' => t('MD'),
			'lg' => t('LG'),
		);
		
		$options = $v8options;
		if ($controller->isVersion9()) {
			
			$options = $v9options;
		}
		
		echo $form->select('slBsSize', $options, $slBsSize);
		?>
	</div>
	
	
	<div class="form-group">
		<label class="control-label" for="slBsAlign"><?php echo t('Align')?></label>
		<?php
		$options = array(
			'left' => t('Left'),
			'right' => t('Right'),
			'center' => t('Center'),
		);
		echo $form->select('slBsAlign', $options, $slBsAlign);
		?>
		<div class="ccm-edit-mode-disabled-item well card card-body"><?php echo t('Block style buttons auto center'); ?></div>	
	</div>
		
<?php }
